## org.eclipse.emf.ecoretools.diagram.part
Class DeleteElementAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.gmf.runtime.common.ui.action.AbstractActionHandler
                      org.eclipse.gmf.runtime.diagram.ui.actions.DiagramAction
                          org.eclipse.gmf.runtime.diagram.ui.actions.AbstractDeleteFromAction
                              org.eclipse.emf.ecoretools.diagram.part.DeleteElementAction

All Implemented Interfaces:
  org.eclipse.core.commands.operations.IOperationHistoryListener, org.eclipse.gef.Disposable, org.eclipse.gmf.runtime.common.ui.action.IActionWithProgress, org.eclipse.gmf.runtime.common.ui.action.IDisposableAction, org.eclipse.jface.action.IAction, org.eclipse.jface.viewers.ISelectionChangedListener, org.eclipse.ui.IPropertyListener

    public class DeleteElementAction

extends org.eclipse.gmf.runtime.diagram.ui.actions.AbstractDeleteFromAction

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.gmf.runtime.common.ui.action.IActionWithProgress
`org.eclipse.gmf.runtime.common.ui.action.IActionWithProgress.WorkIndicatorType`

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`DeleteElementAction(org.eclipse.ui.IWorkbenchPage workbenchPage)`
`DeleteElementAction(org.eclipse.ui.IWorkbenchPart part)`

Method Summary
`protected org.eclipse.gef.commands.Command` `getCommand(org.eclipse.gef.Request request)`
`protected java.lang.String` `getCommandLabel()`
`void` `init()`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.actions.AbstractDeleteFromAction
`createTargetRequest, getDestroyElementRequest, getEditingDomain, isSelectionListener, updateTargetRequest`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.actions.DiagramAction
`calculateEnabled, clearTargetRequest, createOperationSet, dispose, doRun, execute, filterEditPartsMatching, getCommand, getDiagramCommandStack, getDiagramEditDomain, getDiagramEditPart, getDiagramGraphicalViewer, getDiagramWorkbenchPart, getMouseLocation, getOperationSet, getPreferencesHint, getSelectedObjects, getTargetEditParts, getTargetRequest, refresh, setTargetRequest`

Methods inherited from class org.eclipse.gmf.runtime.common.ui.action.AbstractActionHandler

`contributedToPart, getActionManager, getLabel, getOperationHistory, getPartListener, getSelection, getStructuredSelection, getUndoContext, getWorkbenchPage, getWorkbenchPart, getWorkIndicatorType, handle, historyNotification, isDisposed, isOperationHistoryListener, isPropertyListener, isRunnable, isSetup, needsSetup, openErrorDialog, propertyChanged, run, run, runWithEvent, selectionChanged, setDisposed, setPartSelector, setSetup, setup, setWorkbenchPart`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction

`addPropertyChangeListener, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, removePropertyChangeListener, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Constructor Detail

### DeleteElementAction

    public DeleteElementAction(org.eclipse.ui.IWorkbenchPart part)

### DeleteElementAction

    public DeleteElementAction(org.eclipse.ui.IWorkbenchPage workbenchPage)

Method Detail

### init

    public void init()

  Specified by:
    `init` in interface `org.eclipse.gmf.runtime.common.ui.action.IDisposableAction`
  Overrides:
    `init` in class `org.eclipse.gmf.runtime.common.ui.action.AbstractActionHandler`

### getCommandLabel

    protected java.lang.String getCommandLabel()

  Overrides:
    `getCommandLabel` in class `org.eclipse.gmf.runtime.diagram.ui.actions.DiagramAction`

### getCommand

    protected org.eclipse.gef.commands.Command getCommand(org.eclipse.gef.Request request)

  Overrides:
    `getCommand` in class `org.eclipse.gmf.runtime.diagram.ui.actions.DiagramAction`

Copyright 2007 Anyware Technologies. All Rights Reserved.